<!DOCTYPE html>
<html lang="en">
  <head>
    <title>MTL Conduits</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://unpkg.com/tachyons@4.9.1/css/tachyons.min.css"/>
    
    <link rel="stylesheet" href="style/style.css">
    <link rel="stylesheet" href="style/mrp.css">
    <link rel="stylesheet" href="style/mmq.css">
    <link rel="stylesheet" href="style/mda.css">
    

    <script src="https://cdn.jsdelivr.net/npm/vue"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.3.1/jquery.js"></script>
    <script defer src="https://use.fontawesome.com/releases/v5.0.8/js/all.js"></script>

  </head>
  <body>
    <div class="social-wrap">
      <div class="social" >
        <a href="https://soundcloud.com/mtl-conduits">
          <i class="fab fa-soundcloud"></i>
        </a>
        <a href="https://twitter.com/MTLConduits">
            <i class="fab fa-twitter"></i>
        </a>
        <a href="https://www.instagram.com/mtl.conduits/">
          <i class="fab fa-instagram"></i>
        </a>
        <a href="https://gitlab.com/mtl.conduits">
          <i class="fab fa-gitlab"></i>
        </a>
        <a href="mailto:mtl.conduits@gmail.com">
          <i class="fas fa-envelope"></i>
        </a>
      </div>
    </div><!-- /social-wrap -->

    <div class="hero" >

      <div class="conduits">
        <div class="mtl">
          MTL
        </div>
        <div class="conds">
          CONDUITS
        </div>
      </div><!-- /conduits -->

    </div ><!-- /hero -->

    <div class="content">
      
      <div class="section">
        <div class="section-title">
          <span>
            featuring
          </span>
        </div>

        <div class="section-content">
          <div class="feat-wrap " >
            <div class="feat">
              <div class="l_mrp">
                <div class="wrapper">
                  <div class="title">
                    <div class="funk">
                      funky
                    </div>
                    <div class="mrp">
                      Mr<span class="pspan">P</sapn>
                    </div> 
                  </div>
                </div>
              </div><!-- /mrp -->
            </div> <!-- /feat -->
            
            <div class="feat">
              <div class="mmq">
                <div class="tmain">
                  <div class="ems">
                    <div class="max">
                      max
                    </div>
                    <div class="m">
                      m
                    </div>
                  </div>
                  <div class="rest">
                    <div class="">
                    arlowe
                    </div>
                  </div>
                </div>
              
                <div class="mar">
                  <div class="mline">
                    <div class="">
                      quintet
                    </div>
                  </div>
                </div>
              </div>
            </div><!-- /feat -->
            
            <div class="feat">
              <div class="mda">
                <div class="morse_wrap">
                  <div class="morse">
                    <div class="morse_m morse_l">
                      <div class="m_dash"> </div>
                      <div class="m_dash"> </div>
                    </div>
                    <div class="morse_m morse_l">
                      <div class="m_dash"> </div>
                      <div class="m_dot"> </div>
                      <div class="m_dot"> </div>
                    </div>
                    <div class="morse_m morse_l">
                      <div class="m_dot"> </div>
                      <div class="m_dash"> </div>
                    </div>
                  </div>
                </div>
                <div class="txt">
                  M<span class="mda_d">D</span><span class="mda_a">A</span>
                </div>
              </div>
            </div>

          </div><!-- /feat-wrap -->
        </div>
      </div><!-- /feat section -->
      
      <div class="section">
        <div class="section-title">
          <span>
            media
          </span>
        </div>

        <div class="section-content">
          <div id="app-4">
            <div class="media-list">
              <div v-for="i in feed">
                <a :href="i.link">
                <img  :src="i.images.low_resolution.url" 
                      :width="i.images.low_resolution.width"
                      :heigth="i.images.low_resolution.height"
                      
                />
                </a>
              </div>
            </div>
          </div>
        </div>
      </div><!-- /media sectoin -->
      
    </div><!-- / content -->

    
    <footer>
      <div class="footer-link">
        <a class="link white-80 hover-light-purple" href="https://soundcloud.com/mtl-conduits">
          soundcloud
        </a> /
        <a class="link white-80 hover-gold" href="https://twitter.com/MTLConduits"> 
          twitter
        </a> /
        <a class="link white-80 hover-hot-pink" href="https://www.instagram.com/mtl.conduits/"> 
          instagram
        </a> /
        <a class="link white-80 hover-dark-red" href="https://gitlab.com/mtl.conduits"> 
          gitlab
        </a> /
        <a class="link white-80 hover-green" href="mailto:mtl.conduits@gmail.com">
          mtl.conduits@gmail.com
        </a>
      </div>
      <div>
        &#169;2018 MTLConduits
      </div>
    </footer>
  </body>

  <script type="text/javascript">
    var renderCaption = (text) => {
      var arr = text.split(/([#@]?[a-zA-Z0-9]+)/)
        .filter((txt) => !(txt.length === 0))
        .map((txt) => {
          if (txt[0] === '#') {
            let tag = txt.substring(1);
            let url = "https://www.instagram.com/explore/tags/" + tag + "/"
            return {u: url, t: txt}
          }

          if (txt[0] === '@') {
            let user = txt.substring(1);
            let url = "https://www.instagram.com/" + user + "/";
            return {u: url, t: txt}
          }
          return txt
        })
    };

    var app4 = new Vue({
      el: "#app-4",
      data: {
        feed: [],
      },
      created: function () {
        this.getData()
      },
      methods: {
        getData() {
            let token = '4068955607.1677ed0.4ac209e1778e493ead3a96365f139bdd'
            let count = 8;
            let url = [
              "https://api.instagram.com/v1/users/self/media/recent/?access_token=",
              token, 
              '&count=',
              count,
            ].join("");
          
            $.ajax({
              url: url,
              jsonp: "callback",
              dataType: "jsonp",
              data: { format: "json"},
              success: ( response ) => {
                console.log(response.data)
                this.feed = response.data;
              }
            });
          }
        }
    });

  </script>

</html>